Subject: RE: Reading unix filesystems on CD from win95/NT
From: [email-masked] (Alessandro Forin)

20 Dec 1996 15:28:22 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "'David Essex'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
Original-Cc: "'gnu-win32'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 74 TEXT
Original-Sender: [email-masked]

Not quite. 
After each directory entry there can be a number of RR extension
records, which
contain a number of properties.  Including arbitrary length and case
filenames,
group/user/world protection, timestamps, and even "special inode"
information.
One record is a continuation record, which can point elsewhere on the CD
if
the directory entry is not big enough to hold all of the info.

The alternate map file idea I have seen for Plan9 and never again, its
long gone.

The ISO9660 standard was defined (IMHO) to cope with DOS, MAC, and VMS
(and probably OS/2 but I dont know that well enough to be able to tell).
 Yes, they
did not pay much attention to Unix' UFS.  The RockRidge extensions (RR)
were devised precisely for Unix use (they even paid attention to AFS).
There are now extensions (Joliet) to handle UNICODE filenames.

Both NT 4.0 and Win95 handle all of the extensions above.

Besides the public domain CD filesystem I wrote for Mach, there are at
least
three more I know of: one in the BSD4.4Lite distribution, one for netBSD
and one for Linux.
You can take the code from any one of them and get more detailed info.

The NeXT guys were sending out (at least at one point in time) CDs
recorded as regular UFS filesystem images.  Unfortunately, there are too
many 
variations on the UFS disk format, even across Unixes these CDs are non
portable.
Its a simple idea, but RR makes it obsolete.
If THIS is what the original question was about... nope I dont know of
any PD code 
that would help you.  Perhaps you could mount the CD on the right Unix
box and export it via NFS to NT/Win95 ?
Taking the UFS code from BSD is more than a one-nighter.  And if it is a
CD from
Sun/HP/DEC/... you'll have to get creative also.

Good luck.

sandro-

>----------
>From: 	Stefan Trcek[SMTP:[email-masked]]
>Sent: 	Friday, December 20, 1996 12:30 AM
>To: 	David Essex
>Cc: 	gnu-win32
>Subject: 	Re: Reading unix filesystems on CD from win95/NT
>
>David Essex wrote:
>> 
>> I know this may not be the appropriate forum for this but I will ask
>>anyway.
>> Does anyone know if it is possible to read unix type filesystems which are
>> on CD from win95/NT.
>
>You can, but the filenames are a bit broken.  The normal CD format has
>DOS filenames.  Rockridge extension means: any directory contains a file
>(I don't remember the name) which does the mapping from a Unix name to a
>DOS name.
>Thus, a Unix filesystem is written on CD by inventing many 8+3 filenames
>and making the map file.
>
>Stefan Trcek
>http://www.abas.de
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".